"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
var visualMapActionInfo = {
  type: "selectDataRange",
  event: "dataRangeSelected",
  // FIXME use updateView appears wrong
  update: "update"
};
var visualMapActionHander = function(payload, ecModel) {
  ecModel.eachComponent({
    mainType: "visualMap",
    query: payload
  }, function(model) {
    model.setSelected(payload.selected);
  });
};
exports.visualMapActionHander = visualMapActionHander;
exports.visualMapActionInfo = visualMapActionInfo;
